Skip to main content
GET
/
v1
/
jobs
/
ai-content
Get AI-generated content
curl --request GET \
  --url https://api.tryhamsa.com/v1/jobs/ai-content \
  --header 'Authorization: <api-key>'
{
  "success": false,
  "message": "success",
  "data": {
    "id": "<string>",
    "title": "<string>",
    "model": "<string>",
    "type": "<string>",
    "processingType": "<string>",
    "webhookUrl": "<string>",
    "totalCost": 123,
    "usageTime": "<string>",
    "mediaUrl": "<string>",
    "jobResponse": {
      "faq": "<string>",
      "titles": "<string>",
      "summary": "<string>",
      "keywords": "<string>",
      "facebookPost": "<string>",
      "introduction": "<string>",
      "linkedInPost": "<string>",
      "twitterThread": "<string>",
      "threadsByInstagram": "<string>",
      "transcriptionJobId": "<string>",
      "youtubeDescription": "<string>",
      "keyTopicsWithBullets": "<string>",
      "webArticleSEOFriendly": "<string>"
    },
    "status": "<string>",
    "relevantJobId": "<string>",
    "apiKeyId": "<string>",
    "billingId": "<string>",
    "userId": "<string>",
    "systemModelKey": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

jobId
string
required

Response

Successful response

success
boolean
default:false
message
string
default:success
data
object